elementtree :: ElementTree :: QName :: Class QName |
[frames] | no frames]

# Class QName

source code

    object --+
             |
            QName

Instance Methods
__cmp__(self, other) | source code
__hash__(self) hash(x) | source code
__init__(self, text_or_uri, tag=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__str__(self) str(x) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`

Properties
Inherited from `object`: `__class__`

Method Details

### __hash__(self) (Hashing function) | source code
hash(x) Overrides: object.__hash__ (inherited documentation)

### __init__(self, text_or_uri, tag=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### __str__(self) (Informal representation operator) | source code
str(x) Overrides: object.__str__ (inherited documentation)